# .NET 6.0.9 - September 13, 2022

The .NET 6.0.9, [.NET SDK 6.0.109](6.0.109.md), and [.NET SDK 6.0.304](6.0.304.md) releases are available for download. The latest 6.0 release is always listed at [.NET 6.0 Releases](../README.md).

The .NET 6 release includes support for macOS and Windows Arm64 operating systems, see details [.NET support for macOS 11 and Windows 11 for ARM64 and x64](https://github.com/dotnet/sdk/issues/22380).

## Downloads

|           | SDK Installer<sup>1</sup>                        | SDK Binaries<sup>1</sup>                 | Runtime Installer                                        | Runtime Binaries                                 | ASP.NET Core Runtime           |Windows Desktop Runtime          |
| --------- | :------------------------------------------:     | :----------------------:                 | :---------------------------:                            | :-------------------------:                      | :-----------------:            | :-----------------:            |
| Windows   | [x86][dotnet-sdk-win-x86.exe] \| [x64][dotnet-sdk-win-x64.exe] \| [Arm64][dotnet-sdk-win-arm64.exe] | [x86][dotnet-sdk-win-x86.zip] \| [x64][dotnet-sdk-win-x64.zip] \|  [Arm64][dotnet-sdk-win-arm64.zip] | [x86][dotnet-runtime-win-x86.exe] \| [x64][dotnet-runtime-win-x64.exe] \| [Arm64][dotnet-runtime-win-arm64.exe] | [x86][dotnet-runtime-win-x86.zip] \| [x64][dotnet-runtime-win-x64.zip] \| [Arm64][dotnet-runtime-win-arm64.zip] | [x86][aspnetcore-runtime-win-x86.exe] \| [x64][aspnetcore-runtime-win-x64.exe] \|<br> [Hosting Bundle][dotnet-hosting-win.exe]<sup>2</sup> | [x86][windowsdesktop-runtime-win-x86.exe] \| [x64][windowsdesktop-runtime-win-x64.exe] \| [Arm64][windowsdesktop-runtime-win-arm64.exe] |
| macOS     | [x64][dotnet-sdk-osx-x64.pkg] \| [ARM64][dotnet-sdk-osx-arm64.pkg] | [x64][dotnet-sdk-osx-x64.tar.gz] \| [ARM64][dotnet-sdk-osx-arm64.tar.gz]  | [x64][dotnet-runtime-osx-x64.pkg] \| [ARM64][dotnet-runtime-osx-arm64.pkg] | [x64][dotnet-runtime-osx-x64.tar.gz] \| [ARM64][dotnet-runtime-osx-arm64.tar.gz]| [x64][aspnetcore-runtime-osx-x64.tar.gz] \| [ARM64][aspnetcore-runtime-osx-arm64.tar.gz] | - |<sup>1</sup>
| Linux     |  [Snap and Package Manager](../install-linux.md)  | [x64][dotnet-sdk-linux-x64.tar.gz] \| [Arm][dotnet-sdk-linux-arm.tar.gz]  \| [Arm64][dotnet-sdk-linux-arm64.tar.gz] \| [Arm32 Alpine][dotnet-sdk-linux-musl-arm.tar.gz]  \| [x64 Alpine][dotnet-sdk-linux-musl-x64.tar.gz] | [Packages (x64)][linux-packages] | [x64][dotnet-runtime-linux-x64.tar.gz] \| [Arm][dotnet-runtime-linux-arm.tar.gz] \| [Arm64][dotnet-runtime-linux-arm64.tar.gz] \| [Arm32 Alpine][dotnet-runtime-linux-musl-arm.tar.gz] \| [Arm64 Alpine][dotnet-runtime-linux-musl-arm64.tar.gz] \| [x64 Alpine][dotnet-runtime-linux-musl-x64.tar.gz]  | [x64][aspnetcore-runtime-linux-x64.tar.gz]<sup>1</sup>  \| [Arm][aspnetcore-runtime-linux-arm.tar.gz]<sup>1</sup> \| [Arm64][aspnetcore-runtime-linux-arm64.tar.gz]<sup>1</sup> \| [x64 Alpine][aspnetcore-runtime-linux-musl-x64.tar.gz] | - | <sup>1</sup> |
|  | [Checksums][checksums-sdk]                             | [Checksums][checksums-sdk]                                      | [Checksums][checksums-runtime]                             | [Checksums][checksums-runtime]  | [Checksums][checksums-runtime]  | [Checksums][checksums-runtime]

</br>

1. Includes the .NET Runtime and ASP.NET Core Runtime
2. For hosting stand-alone apps on Windows Servers. Includes the ASP.NET Core Module for IIS and can be installed separately on servers without installing .NET Runtime.

</br>

The .NET SDK includes a matching updated .NET Runtime. Downloading the Runtime or ASP.NET Core packages is not needed when installing the SDK.

You can check your .NET SDK version by running the following command. The example version shown is for this release.

```console
$ dotnet --version
6.0.401
```

Visit [.NET Documentation](https://docs.microsoft.com/dotnet/core/) to learn about .NET, for building many different types of applications.

## .NET Multi-Platform App UI (MAUI) Preview Workload Downloads

.NET 6 introduces Android, iOS, and macOS SDKs for developing native applications. These provide the foundational mobile and desktop pieces for the new [.NET MAUI](https://github.com/dotnet/maui). See [documentation](https://docs.microsoft.com/dotnet/maui/get-started/installation) for additional setup instructions and creating your first .NET MAUI application.

After installing the .NET SDK, you can install .NET MAUI using the `dotnet workload install` command:

```console
$ dotnet workload install maui
```

The following workloads are also available to install individually:

```console
$ dotnet workload install android
$ dotnet workload install ios
$ dotnet workload install maccatalyst
$ dotnet workload install macos
$ dotnet workload install tvos
```

</br>

Visit [.NET Documentation](https://docs.microsoft.com/dotnet/core/) to learn about .NET, for building many different types of applications.

## Docker Images

The [.NET Docker images](https://hub.docker.com/_/microsoft-dotnet) have been updated for this release. The [.NET Docker samples](https://github.com/dotnet/dotnet-docker/blob/main/samples/README.md) show various ways to use .NET and Docker together. You can use the following command to try running the latest .NET 6.0 release in containers:

```console
docker run --rm mcr.microsoft.com/dotnet/samples
```

The following repos have been updated:

* [dotnet/sdk](https://hub.docker.com/_/microsoft-dotnet-sdk/): .NET SDK
* [dotnet/aspnet](https://hub.docker.com/_/microsoft-dotnet-aspnet/): ASP.NET Core Runtime
* [dotnet/runtime](https://hub.docker.com/_/microsoft-dotnet-runtime/): .NET Runtime
* [dotnet/runtime-deps](https://hub.docker.com/_/microsoft-dotnet-runtime-deps/): .NET Runtime Dependencies
* [dotnet/samples](https://hub.docker.com/_/microsoft-dotnet-samples/): .NET Samples

## Notable Changes
.NET 6.0.9 release carries security and non-security fixes.

# Microsoft Security Advisory CVE-2022-38013 | .NET Denial of Service Vulnerability

## <a name="executive-summary"></a>Executive summary

Microsoft is releasing this security advisory to provide information about a vulnerability in .NET 6.0 and .NET Core 3.1. This advisory also provides guidance on what developers can do to update their applications to remove this vulnerability.

A denial of service vulnerability exists in ASP.NET Core 3.1 and .NET 6.0 where a malicious client could cause a stack overflow which may result in a denial of service attack when an attacker sends a customized payload that is parsed during model binding.

### Additional fixes in this release

* [Runtime](https://github.com/dotnet/runtime/issues?q=milestone%3A6.0.9+is%3Aclosed+label%3Aservicing-approved+)

## Visual Studio Compatibility

You need [Visual Studio 17.3](https://visualstudio.microsoft.com) or later to use .NET 6.0 on Windows. On macOS, you need the latest version of [Visual Studio for Mac](https://visualstudio.microsoft.com/vs/mac/). The [C# extension](https://code.visualstudio.com/docs/languages/dotnet) for [Visual Studio Code](https://code.visualstudio.com/) supports .NET 6.0 and C# 10.0.

## Feedback

Your feedback is important and appreciated. We've created an issue at [dotnet/core #7791](https://github.com/dotnet/core/issues/7791) for your questions and comments.


[blob-runtime]: https://dotnetcli.blob.core.windows.net/dotnet/Runtime/
[blob-sdk]: https://dotnetcli.blob.core.windows.net/dotnet/Sdk/
[release-notes]: https://github.com/dotnet/core/blob/main/release-notes/6.0/6.0.9/6.0.9.md

[checksums-runtime]: https://dotnetcli.blob.core.windows.net/dotnet/checksums/6.0.9-sha.txt
[checksums-sdk]: https://dotnetcli.blob.core.windows.net/dotnet/checksums/6.0.9-sha.txt

[linux-install]: https://docs.microsoft.com/dotnet/core/install/linux
[linux-setup]: https://github.com/dotnet/core/blob/main/Documentation/linux-setup.md

[dotnet-blog]:  https://devblogs.microsoft.com/dotnet/september-2022-updates/
[aspnet-blog]: https://devblogs.microsoft.com/dotnet/announcing-asp-net-core-in-net-6/
[maui-blog]: https://devblogs.microsoft.com/dotnet/update-on-dotnet-maui/

[linux-packages]: ../install-linux.md

## Packages updated in this release:

Package name | Version
:----------- | :------------------
Microsoft.WindowsDesktop.App.Ref| 6.0.9
Microsoft.WindowsDesktop.App.Runtime.win-arm64| 6.0.9
Microsoft.WindowsDesktop.App.Runtime.win-x64| 6.0.9
Microsoft.WindowsDesktop.App.Runtime.win-x86| 6.0.9
Microsoft.NETCore.App.Crossgen2.win-arm| 6.0.9
Microsoft.NETCore.App.Crossgen2.win-arm64| 6.0.9
Microsoft.NETCore.App.Host.linux-arm| 6.0.9
Microsoft.NETCore.App.Host.linux-x64| 6.0.9
Microsoft.NETCore.App.Host.win-arm64| 6.0.9
Microsoft.NETCore.App.Host.win-x86| 6.0.9
Microsoft.NETCore.App.Runtime.AOT.win-x64.Cross.browser-wasm.Msi.x64| 6.0.9
Microsoft.NETCore.App.Runtime.linux-arm64| 6.0.9
Microsoft.NETCore.App.Runtime.win-arm64.Msi.x86| 6.0.9
Microsoft.NETCore.App.Runtime.win-x64.Msi.x86| 6.0.9
Microsoft.NETCore.App.Runtime.win-x86.Msi.x86| 6.0.9
runtime.win-arm64.Microsoft.NETCore.DotNetHost| 6.0.9
runtime.win-x86.Microsoft.NETCore.DotNetHostPolicy| 6.0.9
Microsoft.NETCore.App.Runtime.AOT.osx-x64.Cross.android-arm| 6.0.9
Microsoft.NETCore.App.Runtime.AOT.osx-x64.Cross.browser-wasm| 6.0.9
Microsoft.NETCore.App.Runtime.Mono.android-x86.Msi.arm64| 6.0.9
Microsoft.NETCore.App.Runtime.Mono.android-x86.Msi.x86| 6.0.9
Microsoft.NETCore.App.Runtime.Mono.ios-arm.Msi.x86| 6.0.9
Microsoft.NETCore.App.Runtime.Mono.ios-arm64| 6.0.9
Microsoft.NETCore.App.Runtime.Mono.iossimulator-x86.Msi.arm64| 6.0.9
Microsoft.NETCore.App.Runtime.Mono.linux-arm64| 6.0.9
Microsoft.NETCore.App.Runtime.Mono.LLVM.AOT.linux-x64| 6.0.9
Microsoft.NETCore.App.Runtime.Mono.LLVM.linux-x64| 6.0.9
Microsoft.NETCore.App.Runtime.Mono.maccatalyst-x64.Msi.arm64| 6.0.9
Microsoft.NETCore.App.Runtime.Mono.osx-arm64| 6.0.9
Microsoft.NETCore.App.Runtime.Mono.tvossimulator-arm64.Msi.x64| 6.0.9
Microsoft.NETCore.App.Runtime.Mono.tvossimulator-arm64.Msi.x86| 6.0.9
Microsoft.NETCore.App.Runtime.win-arm.Msi.arm64| 6.0.9
Microsoft.NETCore.App.Runtime.win-arm.Msi.x86| 6.0.9
runtime.win-arm64.Microsoft.NETCore.DotNetAppHost| 6.0.9
runtime.win-x64.Microsoft.NETCore.DotNetAppHost| 6.0.9
Microsoft.NETCore.App.Runtime.Mono.tvos-arm64| 6.0.9
Microsoft.NETCore.App.Runtime.Mono.maccatalyst-x64.Msi.x86| 6.0.9
Microsoft.NETCore.App.Runtime.Mono.tvos-arm64.Msi.arm64| 6.0.9
Microsoft.NETCore.App.Runtime.Mono.tvos-arm64.Msi.x86| 6.0.9
Microsoft.NETCore.App.Runtime.Mono.tvossimulator-x64| 6.0.9
Microsoft.NETCore.App.Runtime.Mono.win-x86| 6.0.9
Microsoft.NETCore.App.Runtime.win-arm.Msi.x64| 6.0.9
Microsoft.NETCore.App.Runtime.win-x86.Msi.x64| 6.0.9
Microsoft.NETCore.DotNetHost| 6.0.9
Microsoft.NETCore.DotNetHostPolicy| 6.0.9
runtime.linux-arm.Microsoft.NETCore.DotNetHost| 6.0.9
runtime.linux-arm64.Microsoft.NETCore.DotNetHostPolicy| 6.0.9
runtime.linux-musl-arm.Microsoft.NETCore.DotNetAppHost| 6.0.9
runtime.linux-musl-arm.Microsoft.NETCore.DotNetHost| 6.0.9
runtime.linux-musl-arm64.Microsoft.NETCore.DotNetHostPolicy| 6.0.9
runtime.linux-musl-x64.Microsoft.NETCore.DotNetHostPolicy| 6.0.9
runtime.linux-musl-x64.Microsoft.NETCore.DotNetHost| 6.0.9
runtime.win-arm.Microsoft.NETCore.DotNetHostResolver| 6.0.9
Microsoft.NET.Workload.Mono.ToolChain.Manifest-6.0.100.Msi.arm64| 6.0.9
Microsoft.NETCore.App.Runtime.AOT.osx-x64.Cross.tvossimulator-arm64| 6.0.9
Microsoft.NETCore.App.Runtime.AOT.win-x64.Cross.android-arm64| 6.0.9
Microsoft.NETCore.App.Runtime.AOT.win-x64.Cross.android-x86.Msi.x64| 6.0.9
Microsoft.NETCore.App.Runtime.Mono.android-arm64.Msi.arm64| 6.0.9
Microsoft.NETCore.App.Runtime.Mono.android-x86| 6.0.9
Microsoft.NETCore.App.Runtime.Mono.browser-wasm| 6.0.9
Microsoft.NETCore.App.Runtime.Mono.browser-wasm.Msi.arm64| 6.0.9
Microsoft.NETCore.App.Runtime.Mono.iossimulator-arm64.Msi.x86| 6.0.9
Microsoft.NETCore.App.Runtime.Mono.iossimulator-x64.Msi.x64| 6.0.9
Microsoft.NETCore.App.Runtime.Mono.iossimulator-x64| 6.0.9
Microsoft.NETCore.App.Runtime.Mono.LLVM.osx-x64| 6.0.9
Microsoft.NET.Workload.Mono.ToolChain.Manifest-6.0.400.Msi.x64| 6.0.9
Microsoft.NETCore.App.Crossgen2.linux-x64| 6.0.9
Microsoft.NETCore.App.Runtime.AOT.osx-x64.Cross.iossimulator-arm64| 6.0.9
Microsoft.NETCore.App.Runtime.AOT.osx-x64.Cross.maccatalyst-arm64| 6.0.9
Microsoft.NETCore.App.Runtime.AOT.win-x64.Cross.android-arm.Msi.x64| 6.0.9
Microsoft.NETCore.App.Runtime.AOT.win-x64.Cross.android-x86| 6.0.9
Microsoft.NETCore.App.Runtime.linux-musl-arm| 6.0.9
Microsoft.NETCore.App.Runtime.linux-x64| 6.0.9
Microsoft.NETCore.App.Runtime.Mono.browser-wasm.Msi.x64| 6.0.9
Microsoft.NETCore.App.Runtime.AOT.linux-x64.Cross.android-arm| 6.0.9
Microsoft.Extensions.Logging.Abstractions| 6.0.2
Microsoft.NET.Runtime.MonoAOTCompiler.Task.Msi.arm64| 6.0.9
Microsoft.NETCore.App.Crossgen2.linux-arm64| 6.0.9
Microsoft.NET.Workload.Mono.ToolChain.Manifest-6.0.400| 6.0.9
Microsoft.NETCore.App.Crossgen2.osx-x64| 6.0.9
Microsoft.NETCore.App.Host.linux-musl-arm| 6.0.9
Microsoft.NETCore.App.Runtime.AOT.linux-x64.Cross.android-arm64| 6.0.9
Microsoft.NET.Workload.Mono.ToolChain.Manifest-6.0.400.Msi.arm64| 6.0.9
Microsoft.NETCore.App.Crossgen2.linux-musl-arm| 6.0.9
Microsoft.NETCore.App.Crossgen2.linux-musl-arm64| 6.0.9
Microsoft.NETCore.App.Host.linux-arm64| 6.0.9
Microsoft.NETCore.App.Host.linux-musl-arm64| 6.0.9
Microsoft.NETCore.App.Host.linux-musl-x64| 6.0.9
Microsoft.NETCore.App.Host.win-arm| 6.0.9
Microsoft.NETCore.App.Host.win-x64| 6.0.9
Microsoft.NETCore.App.Runtime.AOT.osx-x64.Cross.ios-arm| 6.0.9
Microsoft.NETCore.App.Runtime.Mono.android-arm64.Msi.x86| 6.0.9
Microsoft.NETCore.App.Runtime.Mono.android-x64.Msi.arm64| 6.0.9
Microsoft.NETCore.App.Runtime.Mono.android-x86.Msi.x64| 6.0.9
Microsoft.NETCore.App.Runtime.Mono.ios-arm.Msi.x64| 6.0.9
Microsoft.NETCore.App.Runtime.Mono.ios-arm64.Msi.arm64| 6.0.9
Microsoft.NETCore.App.Runtime.Mono.linux-musl-x64| 6.0.9
Microsoft.NETCore.App.Runtime.Mono.LLVM.AOT.osx-x64| 6.0.9
Microsoft.NETCore.App.Runtime.Mono.LLVM.linux-arm64| 6.0.9
Microsoft.NETCore.App.Runtime.Mono.tvos-arm64.Msi.x64| 6.0.9
Microsoft.NETCore.App.Runtime.osx-x64| 6.0.9
Microsoft.NETCore.App.Runtime.osx-arm64| 6.0.9
Microsoft.NETCore.App.Runtime.win-arm| 6.0.9
Microsoft.NETCore.App.Runtime.win-arm64.Msi.x64| 6.0.9
Microsoft.NETCore.App.Runtime.win-x64.Msi.arm64| 6.0.9
Microsoft.NETCore.App.Runtime.win-x64.Msi.x64| 6.0.9
runtime.linux-arm.Microsoft.NETCore.DotNetAppHost| 6.0.9
runtime.linux-arm.Microsoft.NETCore.DotNetHostPolicy| 6.0.9
runtime.linux-x64.Microsoft.NETCore.DotNetHostPolicy| 6.0.9
runtime.osx-arm64.Microsoft.NETCore.DotNetAppHost| 6.0.9
runtime.osx-arm64.Microsoft.NETCore.DotNetHostPolicy| 6.0.9
runtime.win-arm64.Microsoft.NETCore.DotNetHostPolicy| 6.0.9
runtime.win-arm64.Microsoft.NETCore.DotNetHostResolver| 6.0.9
runtime.win-x86.Microsoft.NETCore.DotNetAppHost| 6.0.9
Microsoft.NET.Runtime.MonoAOTCompiler.Task| 6.0.9
Microsoft.NET.Runtime.Android.Sample.Mono| 6.0.9
Microsoft.NET.Runtime.MonoTargets.Sdk| 6.0.9
Microsoft.NET.Runtime.MonoTargets.Sdk.Msi.arm64| 6.0.9
Microsoft.NET.Runtime.MonoTargets.Sdk.Msi.x86| 6.0.9
Microsoft.NET.Workload.Mono.ToolChain.Manifest-6.0.100.Msi.x86| 6.0.9
Microsoft.NET.Workload.Mono.ToolChain.Manifest-6.0.200.Msi.x64| 6.0.9
Microsoft.NET.Workload.Mono.ToolChain.Manifest-6.0.200.Msi.arm64| 6.0.9
Microsoft.NET.Workload.Mono.ToolChain.Manifest-6.0.200| 6.0.9
Microsoft.NET.Workload.Mono.ToolChain.Manifest-6.0.300.Msi.arm64| 6.0.9
Microsoft.NET.Workload.Mono.ToolChain.Manifest-6.0.300.Msi.x64| 6.0.9
Microsoft.NET.Workload.Mono.ToolChain.Manifest-6.0.200.Msi.x86| 6.0.9
Microsoft.NETCore.App.Composite| 6.0.9
Microsoft.NETCore.App.Host.osx-arm64| 6.0.9
Microsoft.NETCore.App.Host.osx-x64| 6.0.9
Microsoft.NETCore.App.Runtime.AOT.osx-x64.Cross.iossimulator-x64| 6.0.9
Microsoft.NETCore.App.Runtime.AOT.osx-x64.Cross.tvossimulator-x64| 6.0.9
Microsoft.NETCore.App.Runtime.AOT.win-x64.Cross.android-x64.Msi.x64| 6.0.9
Microsoft.NETCore.App.Runtime.linux-arm| 6.0.9
Microsoft.NETCore.App.Runtime.AOT.win-x64.Cross.browser-wasm| 6.0.9
Microsoft.NETCore.App.Runtime.linux-musl-arm64| 6.0.9
Microsoft.NETCore.App.Runtime.Mono.android-arm.Msi.arm64| 6.0.9
Microsoft.NETCore.App.Runtime.Mono.android-arm.Msi.x86| 6.0.9
Microsoft.NETCore.App.Runtime.Mono.android-arm64| 6.0.9
Microsoft.NETCore.App.Runtime.Mono.browser-wasm.Msi.x86| 6.0.9
Microsoft.NETCore.App.Runtime.Mono.ios-arm.Msi.arm64| 6.0.9
Microsoft.NETCore.App.Runtime.Mono.iossimulator-x86.Msi.x64| 6.0.9
Microsoft.NETCore.App.Runtime.Mono.maccatalyst-arm64| 6.0.9
Microsoft.NETCore.App.Runtime.Mono.maccatalyst-x64| 6.0.9
Microsoft.NETCore.App.Runtime.Mono.tvossimulator-arm64| 6.0.9
Microsoft.NETCore.App.Runtime.Mono.tvossimulator-x64.Msi.x86| 6.0.9
Microsoft.NETCore.App.Runtime.Mono.win-x64| 6.0.9
Microsoft.NETCore.App.Runtime.win-x64| 6.0.9
runtime.linux-arm64.Microsoft.NETCore.DotNetAppHost| 6.0.9
runtime.linux-arm64.Microsoft.NETCore.DotNetHost| 6.0.9
runtime.linux-musl-arm.Microsoft.NETCore.DotNetHostPolicy| 6.0.9
runtime.linux-musl-x64.Microsoft.NETCore.DotNetAppHost| 6.0.9
runtime.linux-musl-x64.Microsoft.NETCore.DotNetHostResolver| 6.0.9
runtime.linux-x64.Microsoft.NETCore.DotNetAppHost| 6.0.9
runtime.linux-x64.Microsoft.NETCore.DotNetHost| 6.0.9
runtime.linux-x64.Microsoft.NETCore.DotNetHostResolver| 6.0.9
runtime.win-arm.Microsoft.NETCore.DotNetHostPolicy| 6.0.9
Microsoft.NETCore.App.Runtime.AOT.linux-x64.Cross.android-x86| 6.0.9
Microsoft.NETCore.App.Runtime.AOT.linux-x64.Cross.browser-wasm| 6.0.9
Microsoft.NETCore.App.Runtime.AOT.osx-x64.Cross.ios-arm64| 6.0.9
Microsoft.NETCore.App.Runtime.AOT.osx-x64.Cross.maccatalyst-x64| 6.0.9
Microsoft.NETCore.App.Runtime.AOT.osx-x64.Cross.tvos-arm64| 6.0.9
Microsoft.NETCore.App.Runtime.AOT.win-x64.Cross.android-arm| 6.0.9
Microsoft.NETCore.App.Runtime.AOT.win-x64.Cross.android-arm64.Msi.x64| 6.0.9
Microsoft.NETCore.App.Runtime.AOT.win-x64.Cross.android-x64| 6.0.9
Microsoft.NETCore.App.Runtime.linux-musl-x64| 6.0.9
Microsoft.NETCore.App.Runtime.Mono.android-arm64.Msi.x64| 6.0.9
Microsoft.NETCore.App.Runtime.Mono.android-x64| 6.0.9
Microsoft.NETCore.App.Runtime.Mono.android-x64.Msi.x86| 6.0.9
Microsoft.NETCore.App.Runtime.Mono.ios-arm| 6.0.9
Microsoft.NETCore.App.Runtime.Mono.ios-arm64.Msi.x86| 6.0.9
Microsoft.NETCore.App.Runtime.Mono.iossimulator-x64.Msi.arm64| 6.0.9
Microsoft.NETCore.App.Runtime.Mono.maccatalyst-arm64.Msi.x64| 6.0.9
Microsoft.NETCore.App.Runtime.Mono.maccatalyst-x64.Msi.x64| 6.0.9
Microsoft.NETCore.App.Runtime.Mono.tvossimulator-arm64.Msi.arm64| 6.0.9
Microsoft.NETCore.App.Runtime.Mono.tvossimulator-x64.Msi.arm64| 6.0.9
Microsoft.NETCore.App.Runtime.win-x86| 6.0.9
runtime.osx-arm64.Microsoft.NETCore.DotNetHostResolver| 6.0.9
runtime.win-arm.Microsoft.NETCore.DotNetAppHost| 6.0.9
runtime.win-x64.Microsoft.NETCore.DotNetHostPolicy| 6.0.9
runtime.win-x64.Microsoft.NETCore.DotNetHost| 6.0.9
runtime.win-x86.Microsoft.NETCore.DotNetHost| 6.0.9
Microsoft.NET.Workload.Mono.ToolChain.Manifest-6.0.400.Msi.x86| 6.0.9
Microsoft.NETCore.App.Crossgen2.win-x64| 6.0.9
Microsoft.NETCore.App.Ref| 6.0.9
Microsoft.NETCore.App.Runtime.AOT.osx-x64.Cross.android-arm64| 6.0.9
Microsoft.NETCore.App.Runtime.Mono.iossimulator-arm64.Msi.arm64| 6.0.9
Microsoft.NETCore.App.Runtime.Mono.iossimulator-arm64| 6.0.9
Microsoft.NETCore.App.Runtime.Mono.iossimulator-x64.Msi.x86| 6.0.9
Microsoft.NETCore.App.Runtime.Mono.LLVM.AOT.linux-arm64| 6.0.9
Microsoft.NETCore.App.Runtime.win-x86.Msi.arm64| 6.0.9
runtime.linux-arm.Microsoft.NETCore.DotNetHostResolver| 6.0.9
Microsoft.NETCore.DotNetAppHost| 6.0.9
runtime.linux-musl-arm64.Microsoft.NETCore.DotNetAppHost| 6.0.9
runtime.linux-musl-arm.Microsoft.NETCore.DotNetHostResolver| 6.0.9
runtime.linux-musl-arm64.Microsoft.NETCore.DotNetHost| 6.0.9
runtime.osx-x64.Microsoft.NETCore.DotNetAppHost| 6.0.9
runtime.osx-x64.Microsoft.NETCore.DotNetHostPolicy| 6.0.9
runtime.osx-x64.Microsoft.NETCore.DotNetHostResolver| 6.0.9
runtime.win-x64.Microsoft.NETCore.DotNetHostResolver| 6.0.9
runtime.win-x86.Microsoft.NETCore.DotNetHostResolver| 6.0.9
System.Data.Odbc| 6.0.1
System.Text.Json| 6.0.6
System.IO.Hashing| 6.0.2
runtime.win-arm.Microsoft.NETCore.DotNetHost| 6.0.9
Microsoft.NET.Runtime.MonoAOTCompiler.Task.Msi.x64| 6.0.9
Microsoft.NET.Runtime.wasm.Sample.Mono| 6.0.9
Microsoft.NET.Runtime.WebAssembly.Sdk.Msi.x86| 6.0.9
Microsoft.NET.Workload.Mono.ToolChain.Manifest-6.0.100.Msi.x64| 6.0.9
Microsoft.NET.Workload.Mono.ToolChain.Manifest-6.0.100| 6.0.9
Microsoft.NET.Workload.Mono.ToolChain.Manifest-6.0.300| 6.0.9
Microsoft.NETCore.App.Crossgen2.linux-arm| 6.0.9
Microsoft.NETCore.App.Crossgen2.osx-arm64| 6.0.9
Microsoft.NETCore.App.Runtime.AOT.osx-x64.Cross.iossimulator-x86| 6.0.9
Microsoft.NETCore.App.Runtime.Mono.android-arm| 6.0.9
Microsoft.NETCore.App.Runtime.Mono.android-x64.Msi.x64| 6.0.9
Microsoft.NETCore.App.Runtime.Mono.ios-arm64.Msi.x64| 6.0.9
Microsoft.NETCore.App.Runtime.Mono.iossimulator-arm64.Msi.x64| 6.0.9
Microsoft.NETCore.App.Runtime.Mono.iossimulator-x86| 6.0.9
Microsoft.NETCore.App.Runtime.Mono.iossimulator-x86.Msi.x86| 6.0.9
Microsoft.NETCore.App.Runtime.Mono.linux-arm| 6.0.9
Microsoft.NETCore.App.Runtime.Mono.linux-x64| 6.0.9
Microsoft.NETCore.App.Runtime.Mono.maccatalyst-arm64.Msi.arm64| 6.0.9
Microsoft.NETCore.App.Runtime.Mono.maccatalyst-arm64.Msi.x86| 6.0.9
Microsoft.NETCore.App.Runtime.Mono.osx-x64| 6.0.9
Microsoft.NETCore.App.Runtime.Mono.tvossimulator-x64.Msi.x64| 6.0.9
Microsoft.NETCore.App.Runtime.win-arm64| 6.0.9
Microsoft.NETCore.App.Runtime.win-arm64.Msi.arm64| 6.0.9
Microsoft.NETCore.DotNetHostResolver| 6.0.9
runtime.linux-arm64.Microsoft.NETCore.DotNetHostResolver| 6.0.9
runtime.linux-musl-arm64.Microsoft.NETCore.DotNetHostResolver| 6.0.9
runtime.osx-arm64.Microsoft.NETCore.DotNetHost| 6.0.9
runtime.osx-x64.Microsoft.NETCore.DotNetHost| 6.0.9
System.Configuration.ConfigurationManager| 6.0.1
Microsoft.NET.Runtime.iOS.Sample.Mono| 6.0.9
Microsoft.NET.Runtime.MonoAOTCompiler.Task.Msi.x86| 6.0.9
Microsoft.NET.Runtime.MonoTargets.Sdk.Msi.x64| 6.0.9
Microsoft.NET.Runtime.WebAssembly.Sdk.Msi.x64| 6.0.9
Microsoft.NET.Runtime.WebAssembly.Sdk| 6.0.9
Microsoft.NET.Runtime.WebAssembly.Sdk.Msi.arm64| 6.0.9
Microsoft.NET.Workload.Mono.ToolChain.Manifest-6.0.300.Msi.x86| 6.0.9
Microsoft.NETCore.App.Crossgen2.linux-musl-x64| 6.0.9
Microsoft.NETCore.App.Crossgen2.win-x86| 6.0.9
Microsoft.NETCore.App.Runtime.AOT.linux-x64.Cross.android-x64| 6.0.9
Microsoft.NETCore.App.Runtime.AOT.osx-x64.Cross.android-x86| 6.0.9
Microsoft.NETCore.App.Runtime.AOT.osx-x64.Cross.android-x64| 6.0.9
Microsoft.NETCore.App.Runtime.Mono.android-arm.Msi.x64| 6.0.9
Microsoft.AspNetCore.App.Runtime.linux-musl-arm| 6.0.9
Microsoft.AspNetCore.App.Runtime.linux-musl-arm64| 6.0.9
Microsoft.AspNetCore.App.Runtime.linux-musl-x64| 6.0.9
Microsoft.AspNetCore.App.Runtime.osx-x64| 6.0.9
Microsoft.AspNetCore.App.Runtime.win-arm64| 6.0.9
Microsoft.AspNetCore.Components| 6.0.9
Microsoft.AspNetCore.Components.Authorization| 6.0.9
Microsoft.AspNetCore.Mvc.Razor.RuntimeCompilation| 6.0.9
Microsoft.AspNetCore.Mvc.Testing| 6.0.9
Microsoft.AspNetCore.SignalR.Client| 6.0.9
Microsoft.AspNetCore.SignalR.Protocols.MessagePack| 6.0.9
Microsoft.AspNetCore.SignalR.StackExchangeRedis| 6.0.9
Microsoft.AspNetCore.SpaProxy| 6.0.9
Microsoft.Extensions.ApiDescription.Server| 6.0.9
AspNetCoreRuntime.6.0.x86| 6.0.9
AspNetCoreRuntime.6.0.x64| 6.0.9
Microsoft.AspNetCore.Connections.Abstractions| 6.0.9
Microsoft.AspNetCore.DataProtection.EntityFrameworkCore| 6.0.9
Microsoft.AspNetCore.Diagnostics.EntityFrameworkCore| 6.0.9
Microsoft.AspNetCore.HeaderPropagation| 6.0.9
Microsoft.AspNetCore.Http.Connections.Client| 6.0.9
Microsoft.AspNetCore.Hosting.WindowsServices| 6.0.9
Microsoft.AspNetCore.Http.Connections.Common| 6.0.9
Microsoft.AspNetCore.MiddlewareAnalysis| 6.0.9
Microsoft.AspNetCore.Razor.Language| 6.0.9
Microsoft.AspNetCore.SignalR.Common| 6.0.9
Microsoft.AspNetCore.TestHost| 6.0.9
Microsoft.DotNet.Web.Client.ItemTemplates| 6.0.9
Microsoft.DotNet.Web.ItemTemplates.6.0| 6.0.9
Microsoft.DotNet.Web.ProjectTemplates.6.0| 6.0.9
Microsoft.DotNet.Web.Spa.ProjectTemplates.6.0| 6.0.9
Microsoft.AspNetCore.AzureAppServices.SiteExtension| 6.0.9
Microsoft.Extensions.Identity.Core| 6.0.9
Microsoft.AspNetCore.App.Runtime.osx-arm64| 6.0.9
Microsoft.AspNetCore.Authentication.Google| 6.0.9
Microsoft.AspNetCore.Authentication.JwtBearer| 6.0.9
Microsoft.AspNetCore.Components.WebAssembly.Authentication| 6.0.9
Microsoft.AspNetCore.Components.WebView| 6.0.9
Microsoft.AspNetCore.Cryptography.Internal| 6.0.9
Microsoft.AspNetCore.DataProtection| 6.0.9
Microsoft.AspNetCore.Cryptography.KeyDerivation| 6.0.9
Microsoft.AspNetCore.App.Runtime.win-arm| 6.0.9
Microsoft.AspNetCore.Authentication.AzureADB2C.UI| 6.0.9
Microsoft.AspNetCore.Authentication.Facebook| 6.0.9
Microsoft.AspNetCore.Authentication.MicrosoftAccount| 6.0.9
Microsoft.AspNetCore.Authorization| 6.0.9
Microsoft.AspNetCore.Authentication.Twitter| 6.0.9
Microsoft.AspNetCore.Components.Analyzers| 6.0.9
Microsoft.AspNetCore.Components.WebAssembly.Server| 6.0.9
Microsoft.AspNetCore.Components.Web| 6.0.9
Microsoft.AspNetCore.DataProtection.Abstractions| 6.0.9
Microsoft.AspNetCore.DataProtection.Extensions| 6.0.9
Microsoft.AspNetCore.Identity.UI| 6.0.9
Microsoft.AspNetCore.DataProtection.StackExchangeRedis| 6.0.9
Microsoft.AspNetCore.SignalR.Client.Core| 6.0.9
Microsoft.AspNetCore.SignalR.Protocols.Json| 6.0.9
Microsoft.AspNetCore.SignalR.Protocols.NewtonsoftJson| 6.0.9
Microsoft.AspNetCore.SignalR.Specification.Tests| 6.0.9
Microsoft.Extensions.Caching.SqlServer| 6.0.9
Microsoft.Extensions.WebEncoders| 6.0.9
Microsoft.AspNetCore.App.Runtime.linux-x64| 6.0.9
Microsoft.AspNetCore.App.Runtime.win-x86| 6.0.9
Microsoft.AspNetCore.Authentication.Certificate| 6.0.9
Microsoft.AspNetCore.Authentication.OpenIdConnect| 6.0.9
Microsoft.AspNetCore.AzureAppServicesIntegration| 6.0.9
Microsoft.AspNetCore.Components.WebAssembly.DevServer| 6.0.9
Microsoft.AspNetCore.Components.Forms| 6.0.9
Microsoft.AspNetCore.Components.WebAssembly| 6.0.9
Microsoft.AspNetCore.ConcurrencyLimiter| 6.0.9
Microsoft.AspNetCore.JsonPatch| 6.0.9
Microsoft.AspNetCore.Identity.EntityFrameworkCore| 6.0.9
Microsoft.AspNetCore.Metadata| 6.0.9
Microsoft.AspNetCore.Mvc.NewtonsoftJson| 6.0.9
Microsoft.AspNetCore.Mvc.Razor.Extensions| 6.0.9
Microsoft.AspNetCore.Owin| 6.0.9
Microsoft.Extensions.Identity.Stores| 6.0.9
Microsoft.Extensions.Localization.Abstractions| 6.0.9
Microsoft.Extensions.ObjectPool| 6.0.9
Microsoft.JSInterop| 6.0.9
Microsoft.JSInterop.WebAssembly| 6.0.9
Microsoft.AspNetCore.App.Runtime.linux-arm| 6.0.9
dotnet-sql-cache| 6.0.9
Microsoft.AspNetCore.App.Runtime.win-x64| 6.0.9
Microsoft.AspNetCore.App.Ref| 6.0.9
Microsoft.AspNetCore.ApiAuthorization.IdentityServer| 6.0.9
Microsoft.AspNetCore.Authentication.AzureAD.UI| 6.0.9
Microsoft.AspNetCore.Authentication.Negotiate| 6.0.9
Microsoft.AspNetCore.Authentication.WsFederation| 6.0.9
Microsoft.AspNetCore.AzureAppServices.HostingStartup| 6.0.9
Microsoft.Authentication.WebAssembly.Msal| 6.0.9
Microsoft.CodeAnalysis.Razor| 6.0.9
Microsoft.Extensions.ApiDescription.Client| 6.0.9
Microsoft.Extensions.Configuration.KeyPerFile| 6.0.9
Microsoft.Extensions.Features| 6.0.9
Microsoft.Extensions.Diagnostics.HealthChecks.Abstractions| 6.0.9
Microsoft.Extensions.Http.Polly| 6.0.9
Microsoft.Extensions.Localization| 6.0.9
Microsoft.AspNetCore.App.Runtime.linux-arm64| 6.0.9
Microsoft.AspNetCore.Server.Kestrel.Transport.Libuv| 6.0.9
Microsoft.AspNetCore.SpaServices.Extensions| 6.0.9
Microsoft.dotnet-openapi| 6.0.9
Microsoft.Extensions.Caching.StackExchangeRedis| 6.0.9
Microsoft.Extensions.Diagnostics.HealthChecks| 6.0.9
Microsoft.Extensions.Diagnostics.HealthChecks.EntityFrameworkCore| 6.0.9
Microsoft.Extensions.FileProviders.Embedded| 6.0.9
Microsoft.Extensions.Logging.AzureAppServices| 6.0.9
Microsoft.DotNet.Common.ItemTemplates| 6.0.401
Microsoft.DotNet.Common.ProjectTemplates.2.2| 6.0.401
Microsoft.DotNet.Common.ProjectTemplates.3.0| 6.0.401
Microsoft.DotNet.Common.ProjectTemplates.5.0| 6.0.401
Microsoft.TemplateEngine.Edge| 6.0.401
Microsoft.TemplateEngine.Core.Contracts| 6.0.401
Microsoft.TemplateEngine.Orchestrator.RunnableProjects| 6.0.401
Microsoft.DotNet.Common.ProjectTemplates.2.1| 6.0.401
Microsoft.DotNet.Common.ProjectTemplates.1.x| 6.0.401
Microsoft.TemplateEngine.TemplateLocalizer.Core| 6.0.401
Microsoft.TemplateSearch.Common| 6.0.401
Microsoft.DotNet.Common.ProjectTemplates.2.0| 6.0.401
Microsoft.DotNet.Common.ProjectTemplates.3.1| 6.0.401
Microsoft.DotNet.Common.ProjectTemplates.6.0| 6.0.401
Microsoft.TemplateEngine.Abstractions| 6.0.401
Microsoft.TemplateEngine.Core| 6.0.401
Microsoft.TemplateEngine.IDE| 6.0.401
Microsoft.TemplateEngine.TemplateLocalizer| 6.0.401
Microsoft.TemplateEngine.Utils| 6.0.401
FSharp.Core| 6.0.6
FSharp.Compiler.Service| 41.0.6
Microsoft.NET.Runtime.Emscripten.2.0.23.Node.win-x64| 6.0.9
Microsoft.NET.Runtime.Emscripten.2.0.23.Node.win-x64.Msi.x64| 6.0.9
Microsoft.NET.Workload.Emscripten.Manifest-6.0.100.Msi.arm64| 6.0.9
Microsoft.NET.Workload.Emscripten.Manifest-6.0.100.Msi.x64| 6.0.9
Microsoft.NET.Runtime.Emscripten.2.0.23.Python.osx-x64| 6.0.9
Microsoft.NET.Workload.Emscripten.Manifest-6.0.200.Msi.x86| 6.0.9
Microsoft.NET.Workload.Emscripten.Manifest-6.0.400.Msi.x86| 6.0.9
Microsoft.NET.Workload.Emscripten.Manifest-6.0.400.Msi.x64| 6.0.9
Microsoft.NET.Runtime.Emscripten.2.0.23.Node.osx-x64| 6.0.9
Microsoft.NET.Runtime.Emscripten.2.0.23.Node.linux-x64| 6.0.9
Microsoft.NET.Workload.Emscripten.Manifest-6.0.100| 6.0.9
Microsoft.NET.Runtime.Emscripten.2.0.23.Sdk.win-x64| 6.0.9
Microsoft.NET.Runtime.Emscripten.2.0.23.Sdk.linux-x64| 6.0.9
Microsoft.NET.Runtime.Emscripten.2.0.23.Sdk.win-x64.Msi.x64| 6.0.9
Microsoft.NET.Workload.Emscripten.Manifest-6.0.300.Msi.arm64| 6.0.9
Microsoft.NET.Workload.Emscripten.Manifest-6.0.300| 6.0.9
Microsoft.NET.Runtime.Emscripten.2.0.23.Sdk.osx-x64| 6.0.9
Microsoft.NET.Runtime.Emscripten.2.0.23.Python.win-x64| 6.0.9
Microsoft.NET.Runtime.Emscripten.2.0.23.Python.win-x64.Msi.x64| 6.0.9
Microsoft.NET.Workload.Emscripten.Manifest-6.0.200| 6.0.9
Microsoft.NET.Workload.Emscripten.Manifest-6.0.200.Msi.x64| 6.0.9
Microsoft.NET.Workload.Emscripten.Manifest-6.0.300.Msi.x86| 6.0.9
Microsoft.NET.Workload.Emscripten.Manifest-6.0.400| 6.0.9
Microsoft.NET.Workload.Emscripten.Manifest-6.0.400.Msi.arm64| 6.0.9
Microsoft.NET.Workload.Emscripten.Manifest-6.0.100.Msi.x86| 6.0.9
Microsoft.NET.Workload.Emscripten.Manifest-6.0.200.Msi.arm64| 6.0.9
Microsoft.NET.Workload.Emscripten.Manifest-6.0.300.Msi.x64| 6.0.9
Microsoft.Data.Sqlite| 6.0.9
Microsoft.Data.Sqlite.Core| 6.0.9
Microsoft.EntityFrameworkCore.SqlServer.NetTopologySuite| 6.0.9
Microsoft.EntityFrameworkCore.Analyzers| 6.0.9
Microsoft.EntityFrameworkCore.Cosmos| 6.0.9
Microsoft.EntityFrameworkCore.Abstractions| 6.0.9
Microsoft.EntityFrameworkCore.AspNet.Specification.Tests| 6.0.9
Microsoft.EntityFrameworkCore.Relational| 6.0.9
Microsoft.EntityFrameworkCore.Design| 6.0.9
Microsoft.EntityFrameworkCore.Sqlite.Core| 6.0.9
Microsoft.EntityFrameworkCore.Sqlite| 6.0.9
Microsoft.EntityFrameworkCore.Tools| 6.0.9
dotnet-ef| 6.0.9
Microsoft.EntityFrameworkCore| 6.0.9
Microsoft.EntityFrameworkCore.Proxies| 6.0.9
Microsoft.EntityFrameworkCore.InMemory| 6.0.9
Microsoft.EntityFrameworkCore.Relational.Specification.Tests| 6.0.9
Microsoft.EntityFrameworkCore.Sqlite.NetTopologySuite| 6.0.9
Microsoft.EntityFrameworkCore.Specification.Tests| 6.0.9
Microsoft.EntityFrameworkCore.SqlServer| 6.0.9
Microsoft.TemplateEngine.Core| 6.0.304
Microsoft.TemplateEngine.Edge| 6.0.304
Microsoft.TemplateEngine.IDE| 6.0.304
Microsoft.TemplateEngine.Orchestrator.RunnableProjects| 6.0.304
Microsoft.TemplateSearch.Common| 6.0.304
Microsoft.DotNet.Common.ItemTemplates| 6.0.304
Microsoft.TemplateEngine.TemplateLocalizer| 6.0.304
Microsoft.TemplateEngine.Core.Contracts| 6.0.304
Microsoft.DotNet.Common.ProjectTemplates.6.0| 6.0.304
Microsoft.TemplateEngine.Abstractions| 6.0.304
Microsoft.TemplateEngine.Utils| 6.0.304
Microsoft.TemplateEngine.TemplateLocalizer.Core| 6.0.304
Microsoft.TemplateEngine.Abstractions| 6.0.109
Microsoft.DotNet.Common.ProjectTemplates.6.0| 6.0.109
Microsoft.TemplateEngine.IDE| 6.0.109
Microsoft.TemplateEngine.Edge| 6.0.109
Microsoft.TemplateEngine.Core.Contracts| 6.0.109
Microsoft.TemplateEngine.TemplateLocalizer.Core| 6.0.109
Microsoft.TemplateEngine.Utils| 6.0.109
Microsoft.DotNet.Common.ItemTemplates| 6.0.109
Microsoft.TemplateEngine.Core| 6.0.109
Microsoft.TemplateEngine.Orchestrator.RunnableProjects| 6.0.109
Microsoft.TemplateEngine.TemplateLocalizer| 6.0.109
Microsoft.TemplateSearch.Common| 6.0.109
Microsoft.DotNet.Compatibility| 1.0.0-servicing.22421.3


[//]: # ( Runtime 6.0.9)
[dotnet-runtime-linux-arm.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/9fdc5a53-a4be-45a3-8a38-95877cc521a9/60899abe1ad0deb7ebf2def2617fc5c3/dotnet-runtime-6.0.9-linux-arm.tar.gz
[dotnet-runtime-linux-arm64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/2dc40bad-57b6-42ae-b9dd-bd457af4e73e/b95f86d6f9cf49e156227bad231d4aa0/dotnet-runtime-6.0.9-linux-arm64.tar.gz
[dotnet-runtime-linux-musl-arm.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/10707820-6f13-42b1-ad9d-3fea4b3f19bf/8f63dc1c15563c7d78cfb1b771dc9f64/dotnet-runtime-6.0.9-linux-musl-arm.tar.gz
[dotnet-runtime-linux-musl-arm64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/5181fc44-6a49-4bb1-b321-b11efe54427f/b3d3e7f68fa54f7355f9c4d62a2825df/dotnet-runtime-6.0.9-linux-musl-arm64.tar.gz
[dotnet-runtime-linux-musl-x64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/44b5aaf3-48fd-4aac-94bd-5a63318bcc2e/5c2b11a17492763a89dfd061090f7cf5/dotnet-runtime-6.0.9-linux-musl-x64.tar.gz
[dotnet-runtime-linux-x64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/05f1a3dd-75f2-49f4-a976-25ce08f77cbb/b6e8e327a84b91513c2744bfccf90140/dotnet-runtime-6.0.9-linux-x64.tar.gz
[dotnet-runtime-osx-arm64.pkg]: https://download.visualstudio.microsoft.com/download/pr/24ad61bd-2192-4637-a663-d4aaa39bfc21/03ce9a8420868b0f0777f35ac6faec98/dotnet-runtime-6.0.9-osx-arm64.pkg
[dotnet-runtime-osx-arm64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/c7c51353-ded6-4846-87ac-d840b1ac2f9f/88641f913c8e886b4e38fc5b0c547ed4/dotnet-runtime-6.0.9-osx-arm64.tar.gz
[dotnet-runtime-osx-x64.pkg]: https://download.visualstudio.microsoft.com/download/pr/d3fe77e7-3109-4b25-b74e-f2f3542164aa/daff158378a8e7f0aa7b61feb29b588b/dotnet-runtime-6.0.9-osx-x64.pkg
[dotnet-runtime-osx-x64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/cd4ba3ed-7f37-46d5-ab1c-dc479a08333d/f27d3ab52b0830861bed594be6da86a8/dotnet-runtime-6.0.9-osx-x64.tar.gz
[dotnet-runtime-win-arm64.exe]: https://download.visualstudio.microsoft.com/download/pr/33f256c2-7e5b-463a-aade-48e32cf33cb1/ffd2b6be86c54ed6009411430622af85/dotnet-runtime-6.0.9-win-arm64.exe
[dotnet-runtime-win-arm64.zip]: https://download.visualstudio.microsoft.com/download/pr/22bf27d5-8aa6-4913-95e2-9f23b827832c/e60446dec06622450dda20447feac7e7/dotnet-runtime-6.0.9-win-arm64.zip
[dotnet-runtime-win-x64.exe]: https://download.visualstudio.microsoft.com/download/pr/9dc77a6b-0276-4ad5-9bfa-d84b546686ef/f01bbcf2dc0e7f5dbd0a7d337fd4cd43/dotnet-runtime-6.0.9-win-x64.exe
[dotnet-runtime-win-x64.zip]: https://download.visualstudio.microsoft.com/download/pr/b7491d0d-6f8d-4a9a-9a28-a4dc2a668083/701838073f8cded620b9accd1cc8dd68/dotnet-runtime-6.0.9-win-x64.zip
[dotnet-runtime-win-x86.exe]: https://download.visualstudio.microsoft.com/download/pr/6020f3fc-5cf8-4e25-bc7f-dcf8744137ac/4cb5ced4e015e426fddc554b130c3052/dotnet-runtime-6.0.9-win-x86.exe
[dotnet-runtime-win-x86.zip]: https://download.visualstudio.microsoft.com/download/pr/e4730ab7-3379-4b9c-8a17-3ce7d44cc82a/96d03e97775b7ca28c1a6fdc745e7ef2/dotnet-runtime-6.0.9-win-x86.zip

[//]: # ( WindowsDesktop 6.0.9)
[windowsdesktop-runtime-win-arm64.exe]: https://download.visualstudio.microsoft.com/download/pr/e207429e-4cdc-43ed-868e-aeecbd1ae9d0/d32e40bb2385e7407ea235dc5541ef29/windowsdesktop-runtime-6.0.9-win-arm64.exe
[windowsdesktop-runtime-win-arm64.zip]: https://download.visualstudio.microsoft.com/download/pr/70decad2-802f-4ebf-ad59-14ddfe2e2421/45140ac9e30456e70359100d203880a8/windowsdesktop-runtime-6.0.9-win-arm64.zip
[windowsdesktop-runtime-win-x64.exe]: https://download.visualstudio.microsoft.com/download/pr/fe8415d4-8a35-4af9-80a5-51306a96282d/05f9b2a1b4884238e69468e49b3a5453/windowsdesktop-runtime-6.0.9-win-x64.exe
[windowsdesktop-runtime-win-x64.zip]: https://download.visualstudio.microsoft.com/download/pr/0b9c0dfe-c277-4323-ad4a-7861a08d577e/d1a03a2d67aac7307ff8c39eefe51e56/windowsdesktop-runtime-6.0.9-win-x64.zip
[windowsdesktop-runtime-win-x86.exe]: https://download.visualstudio.microsoft.com/download/pr/925f9407-2767-4341-857a-43cdfad71e17/0b84db913bdbb1dcf02db937a3cd3f63/windowsdesktop-runtime-6.0.9-win-x86.exe
[windowsdesktop-runtime-win-x86.zip]: https://download.visualstudio.microsoft.com/download/pr/599280a1-dc7c-4a98-999a-203031625ffd/76be0215d6c3215ea516a7c9373c6797/windowsdesktop-runtime-6.0.9-win-x86.zip

[//]: # ( ASP 6.0.9)
[aspnetcore-runtime-linux-arm.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/eb46a420-96cb-4600-95b4-40496349fdf8/f33af6a90cc721adca490d69fa9d0e98/aspnetcore-runtime-6.0.9-linux-arm.tar.gz
[aspnetcore-runtime-linux-arm64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/bff2e771-8180-47eb-b12a-757a67001e21/63a7f79af649efe65c20f2ca56834048/aspnetcore-runtime-6.0.9-linux-arm64.tar.gz
[aspnetcore-runtime-linux-musl-arm.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/ea32be66-a86c-4098-b5b7-01fadbaec091/943164ee304b926112be3d3dffd76571/aspnetcore-runtime-6.0.9-linux-musl-arm.tar.gz
[aspnetcore-runtime-linux-musl-arm64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/ff500927-41d9-4b15-a783-c7af9f6aaae4/d4d751786a460310af1f3cb9e35dc808/aspnetcore-runtime-6.0.9-linux-musl-arm64.tar.gz
[aspnetcore-runtime-linux-musl-x64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/e70c3a5e-bf8e-4995-a84e-1ebb68844980/586fce2fa823fe1d7b44948bc35255e9/aspnetcore-runtime-6.0.9-linux-musl-x64.tar.gz
[aspnetcore-runtime-linux-x64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/1a2bca2e-f525-4ecf-9c46-06889b4ce3a4/1a7ad60df284ca6b00ca5d31cc1b1c7c/aspnetcore-runtime-6.0.9-linux-x64.tar.gz
[aspnetcore-runtime-osx-arm64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/e13f930a-a71a-4cea-8f3a-2280505fa0aa/cdd56e3fbfadbed989b2acbf7d3aae3f/aspnetcore-runtime-6.0.9-osx-arm64.tar.gz
[aspnetcore-runtime-osx-x64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/5d9f409c-0fd2-477f-8a80-44eb18f9ccdb/3dc6bc3edf033ab3d84b36889f1253cf/aspnetcore-runtime-6.0.9-osx-x64.tar.gz
[aspnetcore-runtime-win-arm64.zip]: https://download.visualstudio.microsoft.com/download/pr/855b9ae6-eefa-4381-8ff0-e73e7ddfc3e4/2145588d2d2df2d7a931c04aab8e25f1/aspnetcore-runtime-6.0.9-win-arm64.zip
[aspnetcore-runtime-win-x64.exe]: https://download.visualstudio.microsoft.com/download/pr/98dbe241-8b77-4be0-b130-a5fb6af8d724/27b655adce6250da42be9440abe847a2/aspnetcore-runtime-6.0.9-win-x64.exe
[aspnetcore-runtime-win-x64.zip]: https://download.visualstudio.microsoft.com/download/pr/ad9ebb4e-d9ec-496c-8a22-d2b677acd40d/0afceec04495e5af1b6de74979a825a6/aspnetcore-runtime-6.0.9-win-x64.zip
[aspnetcore-runtime-win-x86.exe]: https://download.visualstudio.microsoft.com/download/pr/8f583028-b802-4661-b8dd-47139b0561ce/3c0cd3bdc6051759ccae40f78982c86e/aspnetcore-runtime-6.0.9-win-x86.exe
[aspnetcore-runtime-win-x86.zip]: https://download.visualstudio.microsoft.com/download/pr/2e9872fe-cfe5-426b-8f27-4a6ac1fdea78/d87f57a04836110cb5473ddcacf70760/aspnetcore-runtime-6.0.9-win-x86.zip
[dotnet-hosting-win.exe]: https://download.visualstudio.microsoft.com/download/pr/eaa3eab9-cc21-44b5-a4e4-af31ee73b9fa/d8ad75d525dec0a30b52adc990796b11/dotnet-hosting-6.0.9-win.exe

[//]: # ( SDK 6.0.401)
[dotnet-sdk-linux-arm.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/451f282f-dd26-4acd-9395-36cc3a9758e4/f5399d2ebced2ad9640db6283aa9d714/dotnet-sdk-6.0.401-linux-arm.tar.gz
[dotnet-sdk-linux-arm64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/a567a07f-af9d-451a-834c-a746ac299e6b/1d9d74b54cf580f93cad71a6bf7b32be/dotnet-sdk-6.0.401-linux-arm64.tar.gz
[dotnet-sdk-linux-musl-arm.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/0c223dac-5ede-47c8-ba36-04c0b8a833f8/90e221394c3a8fdfc9bc46d59ff414ce/dotnet-sdk-6.0.401-linux-musl-arm.tar.gz
[dotnet-sdk-linux-musl-arm64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/3a2e1030-4731-496f-8f1a-f7f4af707175/e9cf1d02d391e1982770d2a881464ce9/dotnet-sdk-6.0.401-linux-musl-arm64.tar.gz
[dotnet-sdk-linux-musl-x64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/fe83c1f6-a5f0-496d-bb9b-3116fc503505/f0d80d4f6bdc157bd57ad22380ca6217/dotnet-sdk-6.0.401-linux-musl-x64.tar.gz
[dotnet-sdk-linux-x64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/8159607a-e686-4ead-ac99-b4c97290a5fd/ec6070b1b2cc0651ebe57cf1bd411315/dotnet-sdk-6.0.401-linux-x64.tar.gz
[dotnet-sdk-osx-arm64.pkg]: https://download.visualstudio.microsoft.com/download/pr/1011a115-ca23-4bad-8632-f9a96e47d0f0/164a08cde051b61a1669d2242770ef25/dotnet-sdk-6.0.401-osx-arm64.pkg
[dotnet-sdk-osx-arm64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/dfeaba35-b5b0-4299-b4fa-56735e3f224e/80cc6c2404d0319fb3eab5d0f407b169/dotnet-sdk-6.0.401-osx-arm64.tar.gz
[dotnet-sdk-osx-x64.pkg]: https://download.visualstudio.microsoft.com/download/pr/c98d3ccf-561c-4f9b-a1d7-5debb0880031/fd1ebfbd783788649ee139c229cd48fa/dotnet-sdk-6.0.401-osx-x64.pkg
[dotnet-sdk-osx-x64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/e79e447d-20fd-4ed9-992d-39165aaf964a/1f101c161bc4a931e16c697e3934e413/dotnet-sdk-6.0.401-osx-x64.tar.gz
[dotnet-sdk-win-arm64.exe]: https://download.visualstudio.microsoft.com/download/pr/e38faaf6-0897-43bb-b41e-62ab6879219d/a1812a5a9c3d8a9aef7506a2c2997c4e/dotnet-sdk-6.0.401-win-arm64.exe
[dotnet-sdk-win-arm64.zip]: https://download.visualstudio.microsoft.com/download/pr/f720b1a3-988a-4a84-81ac-6cbfb9dbe018/70dc9d743319e22753c5814853b5d608/dotnet-sdk-6.0.401-win-arm64.zip
[dotnet-sdk-win-x64.exe]: https://download.visualstudio.microsoft.com/download/pr/cebf08ce-ecf1-4439-8a0a-d81b3a4cad12/674ba293b83bdc9b1e00ddfa3ab82f10/dotnet-sdk-6.0.401-win-x64.exe
[dotnet-sdk-win-x64.zip]: https://download.visualstudio.microsoft.com/download/pr/aa0b6cf3-c5dc-40ff-8b2f-f2970ca7b9e3/5b4a9999ea41ca5897e01a3e0e1accad/dotnet-sdk-6.0.401-win-x64.zip
[dotnet-sdk-win-x86.exe]: https://download.visualstudio.microsoft.com/download/pr/11e3a491-faf6-4fd2-8958-dad4583d8f92/87a93af277f13e506866a1dff37ad155/dotnet-sdk-6.0.401-win-x86.exe
[dotnet-sdk-win-x86.zip]: https://download.visualstudio.microsoft.com/download/pr/5b0eb3c5-cc60-4a78-a11e-a4fe2cda6095/1775dfb190b40c11b0f0dfa674856d84/dotnet-sdk-6.0.401-win-x86.zip
